Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# Svc_Handler.h File Reference

`#include "ace/Synch_Options.h"`
`#include "ace/Task.h"`
`#include "ace/Recyclable.h"`
`#include "ace/Reactor.h"`
`#include "ace/Svc_Handler.cpp"`

Include dependency graph for Svc_Handler.h:

This graph shows which files directly or indirectly include this file:

## Classes
class | ACE_Svc_Handler<, >
| Defines the interface for a service that exchanges data with its connected peer. More...
class | ACE_Buffered_Svc_Handler<, >
| Defines the interface for a service that exchanges data with its connected peer and supports buffering. More...

## Detailed Description

Id
  Svc_Handler.h,v 4.55 2006/02/14 08:24:00 jwillemsen Exp

Author:
  Douglas Schmidt <schmidt@uci.edu>

  Irfan Pyarali <irfan@cs.wustl.edu>